
#ifndef __DECSSCRACK_H__
#define __DECSSCRACK_H__

#include "DeCSS.h"

#define OPTION_NUM_SEARCH_SECTORS	1	// How many sectors to scan in IsCiphered
#define OPTION_NUM_SEARCH_KEYS		2	// Find this many same keys before decrypting the stream

class DeCSScrack : public DeCSS
{
public:
	DeCSScrack();
	~DeCSScrack();
	virtual int AuthorizeDrive(char *FileName);
	virtual int GetStreamKey(char *FileName,CSS_Key *StreamKey);
	virtual int IsCiphered();
	int SetOption(int OptionNr,int OptionValue);
	int GetOption(int OptionNr,int* OptionValue);

private:
	int OptionNumSearchSectors;
	int OptionNumSearchKeys;
	unsigned char	invtab4[256];
	int CSScracker(int StartVal,unsigned char* pStream,CSS_Key *pkey);
};

#endif